package com.ecep.contract.ds.other.repository;

import java.util.Optional;

import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Repository;

import com.ecep.contract.ds.MyRepository;
import com.ecep.contract.model.Employee;

@Lazy
@Repository
public interface EmployeeRepository extends MyRepository<Employee, Integer> {
    Optional<Employee> findByAccount(String username);

    Optional<Employee> findByName(String name);

    Optional<Employee> findByAlias(String alias);

    Optional<Employee> findByCode(String personCode);
}
